Bug 149386 - Compiler segfaults building Scribus
Compiler segfaults building Scribus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 12:52 EST by David Bolack
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 06:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bolack 2005-02-22 12:52:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
The PDFlib portion of Scribus seems to cause gcc to reliably segfault.
If I restart the build ( not from clean ) it will go further.  From
clean it reliably dies in the same places.


Version-Release number of selected component (if applicable):
gcc-3.4.2-6.fc3

How reproducible:
Always

Steps to Reproduce:
1.extract tarball
2../configure
3. make
    

Actual Results:  svgexplugin.cpp: In member function `void
SVGExPlug::ProcessPage(ScribusApp*, Page*, QDomDocument*, QDomElement*)':
svgexplugin.cpp:850: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Additional info:

It is *possible* this is my hardware being difficult, but I've gone
through the usual checks along with several suggested on #Fedora so
I'm inclined to think that is less likely.
Comment 1 Jakub Jelinek 2005-02-22 15:43:25 EST
That looks very much like a hardware issue.  Can you preprocess the file in
question and see if it segfaults with those options on that preprocessed file?
Comment 2 Jakub Jelinek 2005-03-16 06:27:55 EST
Without a reproduceable testcase we can't do much with this.

Note You need to log in before you can comment on or make changes to this bug.